#!/bin/sh -efu

. install2-init-functions 

[ -f $destdir/etc/samba/smb.conf ] || 

mv $destdir/etc/samba/smb.conf $destdir/etc/samba/smb.conf.orig

touch $destdir/etc/samba/smb.conf

	cat >"$destdir/etc/samba/smb.conf" << EOF
[global]
        dos charset = CP866
        unix charset = UTF8
        display charset = LOCALE
        workgroup = WORKGROUP
        # netbios name = you_desktop_name
        log file = /var/log/samba/log.%m
        max log size = 50
        
        guest account = nobody
        create mask = 0664
        directory mask = 0775
        
        # Speed improvements
	# If you have problems with this settings, just delete it
        max xmit = 64000
	socket options = IPTOS_LOWDELAY TCP_NODELAY SO_SNDBUF=64000 SO_RCVBUF=64000 SO_KEEPALIVE
        
	# Net usershare config
	security = share
   	usershare path = /var/lib/samba/usershares
   	usershare max shares = 100
   	usershare allow guests = yes
   	usershare owner only = yes
EOF

if test ! -d $destdir/var/lib/samba/usershares; then
    mkdir -p $destdir/var/lib/samba/usershares
    chroot $destdir groupadd sambashare
    chroot $destdir chown root:sambashare /var/lib/samba/usershares
    chmod 01770 $destdir/var/lib/samba/usershares
    for i in $(ls $destdir/home/); do
        if grep ^$i $destdir/etc/passwd >> /dev/null; then
    	    chroot $destdir gpasswd -a $i sambashare &> /dev/null ||:   
    	    chroot $destdir gpasswd -a $i nobody &> /dev/null ||:   
    	    chmod 0701 $destdir/home/$i
        fi
    done
fi

# Run samba on startup
chroot $destdir chkconfig smb on &> /dev/null ||: